@charset "utf-8";
*{
	margin:0px;
	padding:0px;
}

html,body{
	width:100%;
	height:100%;
}

body {
  background: #444;
  margin: 0;
  font-family: monospace;
}

h1 {
  color: #fff;
  text-align: center;
}


/*Estilos de la galeria*/

.galeria {
  width: 90%;
  height:100%;
  margin: auto;
  list-style: none;
  padding: 20px;
  box-sizing: border-box;
  display:table;
}

.galeria li {
  display:table-cell;
  text-align:center;
  vertical-align:middle;
}

.galeria img {
  width: 150px;
  height: 100px;
}


/*Estilos del modal*/

.modal {
  display: none;
}

.modal:target {
  display: table;
  position: fixed;
  background: rgba(0, 0, 0, 0.8);
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.modal h3 {
  color: #fff;
  font-size: 30px;
  text-align: center;
  display:table-cell;
}

.imagen {
  width: 100%;
  height: 50%;
  display:table-row;
}

.imagen a {
  color: #fff;
  font-size: 40px;
  text-decoration: none;
  display:table-cell;
  text-align:center;
  vertical-align:middle;
  width:5%;
}

.imagen a:nth-child(2) {
  margin: 0;
  width:90%;
}

.imagen img {
  max-width:90%;
  border: 7px solid #fff;
  box-sizing: border-box;
}

.modal>div:first-of-type{
	display:table-row;
}

.modal>div:last-of-type{
	display:table-row;
}

.modal>div:last-of-type>div{
	display:table-cell;
}

.modal>div:first-of-type>div{
	display:table-cell;
}

.cerrar {
  display: block;
  background: #fff;
  width: 25px;
  height: 25px;
  margin: 15px auto;
  text-align: center;
  text-decoration: none;
  font-size: 25px;
  color: #000;
  padding: 5px;
  border-radius: 50%;
  line-height: 25px;
}


